Skip to main content
GET
/
api
/
fleets
/
v1
/
{assetProviderCountryCode}
/
{assetProviderCode}
/
{vehicleId}
/
logbook
/
pdf
Export logbook
curl --request GET \
  --url https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/logbook/pdf \
  --header 'Authorization: Bearer <token>'
"<string>"

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

assetProviderCountryCode
string
required

The two-letter country code of the asset provider the vehicle belongs to

Required string length: 2
assetProviderCode
string
required

The three-character code of the asset provider the vehicle belongs to

Required string length: 3
vehicleId
string
required

The id of the vehicle

Query Parameters

includeAuditTrail
boolean
required

Whether to include all documented changes made to entries

from
string<date-time>
required

Start time

to
string<date-time>
required

End time

Response

Logbook PDF binary

The response is of type file.